<?php
namespace Ryouko;

use Index\StringBuilder;
use Index\Data\DbType;
use Index\Http\HttpFx;

require_once __DIR__ . '/../ryouko.php';

$router = new HttpFx;

$router->use('/', function($response) {
    $response->setPoweredBy('Ryouko+Index');
});

$router->get('/', function() {
    $sb = new StringBuilder;
    $sb->appendLine('<!doctype html>');
    $sb->appendLine('<title>Flashii Labs Snippets</title>');
    $sb->appendLine('Coming sooner than the actual labs, I can assure you that.');
    return $sb;
});

$router->dispatch();
